tigase.cluster.api

## Interface SessionManagerClusteredIfc

- All Superinterfaces:
    SessionManagerHandler
  All Known Implementing Classes:
    SessionManagerClustered

      public interface SessionManagerClusteredIfc
      extends SessionManagerHandler

  Author:
    kobit

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SESSION_FOUND_KEY` Field description

    - ### Fields inherited from interface tigase.server.xmppsession.SessionManagerHandler

      `COMMIT_HANDLER_KEY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `fastAddOutPacket(Packet packet)` Method description
    `XMPPResourceConnection` | `getXMPPResourceConnection(Packet el_packet)` Method description
    `ConcurrentHashMap<tigase.xmpp.JID,XMPPResourceConnection>` | `getXMPPResourceConnections()` Method description
    `ConcurrentHashMap<tigase.xmpp.BareJID,XMPPSession>` | `getXMPPSessions()` Method description
    `void` | `processPacket(Packet el_packet, XMPPResourceConnection conn)` Method description
    `void` | `processPresenceUpdate(XMPPSession session, tigase.xml.Element element)` Method description

    - ### Methods inherited from interface tigase.server.xmppsession.SessionManagerHandler

      `getComponentId, handleLogin, handleLogout, handlePresenceSet, handleResourceBind, isLocalDomain`

- - ### Field Detail

    - #### SESSION_FOUND_KEY

          static final String SESSION_FOUND_KEY

      Field description
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### fastAddOutPacket

          boolean fastAddOutPacket(Packet packet)

      Method description
      Parameters:
        `packet` -
      Returns:
        a value of `boolean`

    - #### processPacket

          void processPacket(Packet el_packet,
                           XMPPResourceConnection conn)

      Method description
      Parameters:
        `el_packet` -
        `conn` -

    - #### processPresenceUpdate

          void processPresenceUpdate(XMPPSession session,
                                   tigase.xml.Element element)

      Method description
      Parameters:
        `session` - is a `XMPPSession`
        `element` - is a `Element`

    - #### getXMPPResourceConnection

          XMPPResourceConnection getXMPPResourceConnection(Packet el_packet)

      Method description
      Parameters:
        `el_packet` -
      Returns:
        a value of `XMPPResourceConnection`

    - #### getXMPPResourceConnections

          ConcurrentHashMap<tigase.xmpp.JID,XMPPResourceConnection> getXMPPResourceConnections()

      Method description
      Returns:
        a value of `ConcurrentHashMap`

    - #### getXMPPSessions

          ConcurrentHashMap<tigase.xmpp.BareJID,XMPPSession> getXMPPSessions()

      Method description
      Returns:
        a value of `ConcurrentHashMap`

Copyright © 2014 "Tigase, Inc.". All rights reserved.